Index: trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist
===================================================================
--- trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist	(revision 1108)
+++ trunk/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist	(revision 1113)
@@ -1,8 +1,8 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA  :  1 - run manager      (namrun, nam_ctl, nam_mpp, nam_mpp_dyndist, nam_ctl)
+!! NEMO/OPA  :  1 - run manager      (namrun)
 !! namelists    2 - Domain           (nam_zgr, nam_zgr_sco, namdom)
 !!              3 - Surface boundary (namsbc, namsbc_ana, namsbc_flx, namsbc_clio, namsbc_core
 !!                                    namsbc_cpl, namqsr, namsbc_rnf, namsbc_ssr, namalb)
-!!              4 - lateral boundary (namlbc, namcla, namobc, nambdy, namtide)
+!!              4 - lateral boundary (namlbc, namcla, namobc, namagrif, nambdy, namtide)
 !!              5 - bottom  boundary (nambfr, nambbc, nambbl)
 !!              6 - Tracer           (nameos, nam_traadv, nam_traldf, namtdp)
@@ -10,8 +10,7 @@
 !!              8 - Verical physics  (namzdf, namnpc, namric, namtke, namkpp, namddm)
 !!              9 - diagnostics      (namtrd, namgap, namspr, namflo, namptr)
-!!              9 - miscellaneous    (namsol)
+!!              9 - miscellaneous    (namsol, nam_mpp, nam_mpp_dyndist, namctl)
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!  CAUTION: some scripts does not support CAPITALs for logical definition 
-!  *******       use .true. or .false. and NOT .TRUE. or .FALSE.
+!  CAUTION: some scripts does not support CAPITALs for logical use .true./.false., not .TRUE./.FALSE.
 
 !!======================================================================
@@ -19,91 +18,24 @@
 !!======================================================================
 !!   namrun            parameters of the run
-!!   nam_mpp           Massively Parallel Processing
-!!   nam_mpp_dyndist   
-!!   nam_ctl           Control prints & Benchmark
-!!======================================================================
-
-!-----------------------------------------------------------------------
-!       namrun   parameters of the run
-!-----------------------------------------------------------------------
-!  no         job number
-!  cexper     experience name for vairmer format
-!  ln_rstart  boolean term for restart (true or false)
-!  nrstdt     restart control = 0 restart, do not control nit000 in the restart file.
-!             !               = 1 restart, control nit000 in the restart file. Do not
-!             !                   use the date in the restart file (use ndate0 in namelist)
-!             !               = 2 restart, control nit000 in the restart file, use the date
-!             !                   in the restart file. ndate0 in the namelist is ignored.
-!  nit000     number of the first time step
-!  nitend     number of the last time step
-!  ndate0     initial calendar date aammjj
-!  nleapy     Leap year calendar (0/1)
-!  ninist     initial state output flag (0/1)
-!  nstock     frequency of restart file
-!  nwrite     frequency of OUTPUT file
-!  ln_dimgnnn (F/T) 1 DIMG file - (for all proc/per proc)
-&namrun
-   no         =       0
-   cexper     =  "ORCA2"
-   ln_rstart  = .false.
-   nrstdt     =       0
-   nit000     =       1
-   nitend     =    5475
-   ndate0     =  010101
-   nleapy     =       0
-   ninist     =       0
-   nstock     =    5475
-   nwrite     =    5475
-   ln_dimgnnn = .false.
-/
-!-----------------------------------------------------------------------
-!       nam_mpp      Massively Parallel Processing
-!-----------------------------------------------------------------------
-!  c_mpi_send         mpi send/recieve type
-!                      = 'S'  : standard blocking send
-!                      = 'B'  : buffer blocking send
-!                      = 'I'  : immediate non-blocking send
-&nam_mpp
-   c_mpi_send =  'S'
-/
-!-----------------------------------------------------------------------
-!       nam_mpp_dyndist      Massively Parallel Distribution            ("key_agrif" && "key_mpp_dyndist")
-!-----------------------------------------------------------------------
-!  jpni   number of processors following i
-!  jpnj   number of processors following j
-!  jpnij  number of local domains
-&nam_mpp_dyndist
-   jpni  = 1
-   jpnj  = 1
-   jpnij = 1
-/
-!-----------------------------------------------------------------------
-!       nam_ctl      Control prints & Benchmark
-!-----------------------------------------------------------------------
-!  ln_ctl     trends control print (expensive!)
-!  nprint     level of print (0 no print)
-!  nictls     start i indice to make the control SUM (very usefull to compare mono-
-!  nictle     end   i indice to make the control SUM (-versus multi processor runs)
-!  njctls     start j indice to make the control SUM (very usefull to compare mono-
-!  njctle     end   j indice to make the control SUM (-versus multi processor runs)
-!  nisplt     number of processors following i
-!  njsplt     number of processors following j
-!  nbench     Bench parameter (0/1): CAUTION it must be zero except for bench
-!             for which we don't care about physical meaning of the results
-!  nbit_cmp   bit comparison mode parameter (0/1): enables bit comparison between 
-!             single and multiple processor runs.
-&namctl
-   ln_ctl =  .false.
-   nprint =       0
-   nictls =       0
-   nictle =       0
-   njctls =       0
-   njctle =       0
-   isplt  =       1
-   jsplt  =       1
-   nbench =       0
-   nbit_cmp =     0
-/
-
+!!======================================================================
+
+!-----------------------------------------------------------------------
+&namrun        !   parameters of the run
+!-----------------------------------------------------------------------
+   no          =       0   !  job number
+   cexper      =  "ORCA2"  !  experience name 
+   ln_rstart   = .false.   !  start from rest (F) or from a restart file (T)
+   nrstdt      =       0   !  restart control = 0 nit000 is not compared to the restart file value
+                           !                  = 1 use ndate0 in namelist (not the value in the restart file)
+                           !                  = 2 calendar parameters read in the restart file
+   nit000      =       1   !  first time step
+   nitend      =    5475   !  last  time step
+   ndate0      =  010101   !  initial calendar date yymmdd (used if nrstdt=1)
+   nleapy      =       0   !  Leap year calendar (1) or not (0)
+   ninist      =       0   !  output the initial state (1) or not (0)
+   nstock      =    5475   !  frequency of creation of a restart file
+   nwrite      =    5475   !  frequency of write in the output file 
+   ln_dimgnnn  = .false.   !  DIMG file format: 1 file for all processors (F) or by processor (T)
+/
 !!======================================================================
 !!                      ***  Domain namelists  ***
@@ -115,61 +47,37 @@
 
 !-----------------------------------------------------------------------
-!       nam_zgr       vertical coordinate
-!-----------------------------------------------------------------------
-!  ln_zco     z-coordinate - full steps      (T/F)                      ("key_zco" may also be defined)
-!  ln_zps     z-coordinate - partial steps   (T/F)
-!  ln_sco     s- or hybrid z-s-coordinate    (T/F)
-&nam_zgr
-   ln_zco   =  .false.
-   ln_zps   =  .true.
-   ln_sco   =  .false.
-/
-!-----------------------------------------------------------------------
-!       nam_zgr_sco   s-coordinate or hybrid z-s-coordinate
-!-----------------------------------------------------------------------
-!  sbot_min   minimum depth of s-bottom surface (>0) (m)
-!  sbot_max   maximum depth of s-bottom surface (= ocean depth) (>0) (m)
-!  theta      surface control parameter (0<=theta<=20)
-!  thetb      bottom control parameter  (0<=thetb<= 1)
-!  r_max      maximum cut-off r-value allowed (0<r_max<1)
-&nam_zgr_sco
-   sbot_min =  300.
-   sbot_max = 5250.
-   theta    =    6.0
-   thetb    =    0.75
-   r_max    =    0.15
-/
-!-----------------------------------------------------------------------
-!       namdom   space and time domain (bathymetry, mesh, timestep)
-!-----------------------------------------------------------------------
-!  ntopo      = 0/1 ,compute/read the bathymetry file (mbathy, nb of T-ocean levels)
-!  e3zps_min  the thickness of the partial step is set larger than the
-!  e3zps_rat     the minimum of e3zps_min and e3zps_rat * e3t (N.B. 0<e3zps_rat<1)
-!  nmsh       =1 create a mesh file (coordinates, scale factors, masks)
-!  nacc       acceleration of convergence method   = 0, not used, rdt = rdttra
-!                                                  = 1,     used, rdt < rdttra(k)
-!  atfp       asselin time filter parameter
-!  rdt        time step for the dynamics (and tracer if nacc=0)
-!  rdtmin     minimum time step on tracers
-!  rdtmax     maximum time step on tracers
-!  rdth       depth variation of tracer time step
-!  rdtbt      barotropic time step (for the time splitting algorithm)
-!  nclosea    =0 remove the closed sea from the global domain (orca configuration)
-!             =1 closed sea (Black Sea, Caspian Sea, Great US Lakes...) 
-&namdom
-   ntopo     =     1
-   e3zps_min =     5.
-   e3zps_rat =     0.1
-   nmsh      =     0
-   nacc      =     0
-   atfp      =     0.1
-   rdt       =  5760.
-   rdtmin    =  5760.
-   rdtmax    =  5760.
-   rdth      =   800.
-   rdtbt     =    90.
-   nclosea   =     0
-/
-
+&nam_zgr       !   vertical coordinate
+!-----------------------------------------------------------------------
+   ln_zco      = .false.   !  z-coordinate - full    steps   (T/F)      ("key_zco" may also be defined)
+   ln_zps      = .true.    !  z-coordinate - partial steps   (T/F)
+   ln_sco      = .false.   !  s- or hybrid z-s-coordinate    (T/F)
+/
+!-----------------------------------------------------------------------
+&nam_zgr_sco   !   s-coordinate or hybrid z-s-coordinate
+!-----------------------------------------------------------------------
+   sbot_min    =  300.     !  minimum depth of s-bottom surface (>0) (m)
+   sbot_max    = 5250.     !  maximum depth of s-bottom surface (= ocean depth) (>0) (m)
+   theta       =    6.0    !  surface control parameter (0<=theta<=20)
+   thetb       =    0.75   !  bottom control parameter  (0<=thetb<= 1)
+   r_max       =    0.15   !  maximum cut-off r-value allowed (0<r_max<1)
+/
+!-----------------------------------------------------------------------
+&namdom        !   space and time domain (bathymetry, mesh, timestep)
+!-----------------------------------------------------------------------
+   ntopo       =    1      !  compute (=0) or read(=1) the bathymetry file
+   e3zps_min   =    5.     !  the thickness of the partial step is set larger than the minimum
+   e3zps_rat   =    0.1    !  of e3zps_min and e3zps_rat * e3t   (N.B. 0<e3zps_rat<1)
+   nmsh        =    0      !  create (=1) a mesh file (coordinates, scale factors, masks) or not (=0)
+   nacc        =    0      !  =1 acceleration of convergence method used, rdt < rdttra(k)
+                           !  =0, no acceleration, rdt = rdttra
+   atfp        =    0.1    !  asselin time filter parameter
+   rdt         = 5760.     !  time step for the dynamics (and tracer if nacc=0)
+   rdtmin      = 5760.     !  minimum time step on tracers (used if nacc=1)
+   rdtmax      = 5760.     !  maximum time step on tracers (used if nacc=1)
+   rdth        =  800.     !  depth variation of tracer time step  (used if nacc=1)
+   rdtbt       =   90.     !  barotropic time step (for the split explicit algorithm) ("key_dynspg_ts")
+   nclosea     =    0      !  = 0 no closed sea in the model domain
+                           !  = 1 closed sea (Black Sea, Caspian Sea, Great US Lakes...) 
+/
 !!======================================================================
 !!            ***  Surface Boundary Condition namelists  ***
@@ -188,154 +96,115 @@
 
 !-----------------------------------------------------------------------
-!       namsbc       Surface Boundary Condition (surface module)
-!-----------------------------------------------------------------------
-!  nn_fsbc       frequency of surface boundary condition computation 
-!                (= the frequency of sea-ice model call)
-!  ln_ana        analytical formulation (fill namsbc_ana ) 
-!  ln_flx        flux formulation       (fill namsbc_flx ) 
-!  ln_blk_clio   CLIO bulk formulation  (fill namsbc_core) 
-!  ln_blk_core   CORE bulk formulation  (fill namsbc_clio) 
-!  ln_cpl        Coupled formulation    (fill namsbc_cpl ) 
-!  nn_ice        =0 no ice boundary condition   ,
-!                =1 observed ice-cover          ,
-!                =2 ice-model used                                      ("key_lim3" or "key_lim2)
-!  nn_ico_cpl    ice-ocean coupling : =0 LIM-3 old case 
-!                                     =1 stresses computed using now ocean velocity
-!                                     =2 combination of 0 and 1 cases
-!  ln_dm2dc     Daily mean to Diurnal Cycle short wave (qsr)
-!  ln_ssr       Sea Surface Restoring on T and/or S (fill namsbc_ssr)
-!  nn_fwb       FreshWater Budget: =0 no control                              , 
-!                                  =1 annual global mean of e-p-r set to zero   ,
-!                                  =2 global mean of e-p-r set to zero at each nn_fsbc time step
-&namsbc
-   nn_fsbc     = 5
-   ln_ana      = .false.
-   ln_flx      = .false.
-   ln_blk_clio = .true.
-   ln_blk_core = .false.
-   ln_cpl      = .false.
-   nn_ice      = 2
-   nn_ico_cpl  = 0
-   ln_dm2dc    = .false.
-   ln_rnf      = .false.
-   ln_ssr      = .false.
-   nn_fwb      = 0
-/
-!-----------------------------------------------------------------------
-!       namsbc_ana   analytical surface boundary condition
-!-----------------------------------------------------------------------
-!  nn_tau000   gently increase the stress over the first ntau_rst time-steps
-!  rn_utau0    uniform value for the i-stress
-!  rn_vtau0    uniform value for the j-stress
-!  rn_q0       uniform value for the total heat flux
-!  rn_qsr0     uniform value for the solar radiation
-!  rn_emp0     uniform value for the freswater budget (E-P)
-&namsbc_ana
-   nn_tau000  =   0
-   rn_utau0   =   0.5
-   rn_vtau0   =   0.e0
-   rn_q0      =   0.e0
-   rn_qsr0    =   0.e0
-   rn_emp0    =   0.e0
-/
-!-----------------------------------------------------------------------
-!       namsbc_flx   surface boundary condition : flux formulation (#ifdef "key_sbc_flux")
-!-----------------------------------------------------------------------
-!  cn_dir   directory in which the model is executed
+&namsbc        !   Surface Boundary Condition (surface module)
+!-----------------------------------------------------------------------
+   nn_fsbc     = 5         !  frequency of surface boundary condition computation 
+                           !               (= the frequency of sea-ice model call)
+   ln_ana      = .false.   !  analytical formulation (T => fill namsbc_ana ) 
+   ln_flx      = .false.   !  flux formulation       (T => fill namsbc_flx )
+   ln_blk_clio = .true.    !  CLIO bulk formulation  (T => fill namsbc_clio) 
+   ln_blk_core = .false.   !  CORE bulk formulation  (T => fill namsbc_core) 
+   ln_cpl      = .false.   !  Coupled formulation    (T => fill namsbc_cpl )
+   nn_ice      = 2         !  =0 no ice boundary condition   ,
+                           !  =1 use observed ice-cover      ,
+                           !  =2 ice-model used                             ("key_lim3" or "key_lim2)
+   nn_ico_cpl  = 0         !  ice-ocean coupling : =0 each nn_fsbc 
+                           !                       =1 stresses recomputed each ocean time step ("key_lim3" only)
+                           !                       =2 combination of 0 and 1 cases             ("key_lim3" only)
+   ln_dm2dc    = .false.   !  daily mean to diurnal cycle short wave (qsr)
+   ln_rnf      = .false.   !  runoffs (T => fill namsbc_ssr)
+   ln_ssr      = .false.   !  Sea Surface Restoring on T and/or S (T => fill namsbc_ssr)
+   nn_fwb      = 0         !  FreshWater Budget: =0 unchecked                              , 
+                           !                     =1 annual global mean of e-p-r set to zero   ,
+                           !                     =2 global mean of e-p-r set to zero at each nn_fsbc time step
+/
+!-----------------------------------------------------------------------
+&namsbc_ana    !   analytical surface boundary condition
+!-----------------------------------------------------------------------
+   nn_tau000   =   0       !  gently increase the stress over the first ntau_rst time-steps
+   rn_utau0    =   0.5     !  uniform value for the i-stress
+   rn_vtau0    =   0.e0    !  uniform value for the j-stress
+   rn_q0       =   0.e0    !  uniform value for the total heat flux
+   rn_qsr0     =   0.e0    !  uniform value for the solar radiation
+   rn_emp0     =   0.e0    !  uniform value for the freswater budget (E-P)
+/
+!-----------------------------------------------------------------------
+&namsbc_flx    !   surface boundary condition : flux formulation
+!-----------------------------------------------------------------------
+!              !      file name     ! frequency (hours) !  variable  ! time interpol. !  clim  ! starting !
+!              !                    !  (if <0  months)  !    name    !    (logical)   !  (0/1) !  record  !
+   sn_utau     =      'utau.nc'     ,        24.        ,    'utau'  ,     .false.    ,    0   ,     0
+   sn_vtau     =      'vtau.nc'     ,        24.        ,    'vtau'  ,     .false.    ,    0   ,     0
+   sn_qtot     =      'qtot.nc'     ,        24.        ,    'qtot'  ,     .false.    ,    0   ,     0
+   sn_qsr      =      'qsr.nc'      ,        24.        ,    'qsr'   ,     .false.    ,    0   ,     0
+   sn_emp      =      'emp.nc'      ,        24.        ,    'emp'   ,     .false.    ,    0   ,     0
 !
-!  THE ORDER OF THE FILES MATTER:
-!               !      file name     ! frequency (hours) ! variable ! time intepolation !  clim  ! starting !
-!               !                    !   (if <0  months) !   name   !    (logical)      !  (0/1) !  record  !
-&namsbc_flx
-   cn_dir       = './'
-   sn_utau      =      'utau.nc'     ,        24.        ,  'utau'  ,     .false.       ,    0   ,     0
-   sn_vtau      =      'vtau.nc'     ,        24.        ,  'vtau'  ,     .false.       ,    0   ,     0
-   sn_qtot      =      'qtot.nc'     ,        24.        ,  'qtot'  ,     .false.       ,    0   ,     0
-   sn_qsr       =      'qsr.nc'      ,        24.        ,  'qsr'   ,     .false.       ,    0   ,     0
-   sn_emp       =      'emp.nc'      ,        24.        ,  'emp'   ,     .false.       ,    0   ,     0
+   cn_dir      = './'      !  root directory for the location of the flux files
 /      
 !-----------------------------------------------------------------------
-!       namsbc_clio  CLIO bulk formulea
-!-----------------------------------------------------------------------
-!  cn_dir   directory in which the model is executed
+&namsbc_clio   !   namsbc_clio  CLIO bulk formulea
+!-----------------------------------------------------------------------
+!              !      file name     ! frequency (hours) !  variable  ! time interpol. !  clim  ! starting !
+!              !                    !  (if <0  months)  !    name    !    (logical)   !  (0/1) !  record  !
+   sn_utau     =    'taux_1m'       ,      -12.         , 'sozotaux' ,    .false.     ,    1   ,    0    
+   sn_vtau     =    'tauy_1m'       ,      -12.         , 'sometauy' ,    .false.     ,    1   ,    0    
+   sn_wndm     =    'flx'           ,      -12.         , 'socliowi' ,    .false.     ,    1   ,    0      
+   sn_tair     =    'flx'           ,      -12.         , 'socliot2' ,    .false.     ,    1   ,    0     
+   sn_humi     =    'flx'           ,      -12.         , 'socliohu' ,    .false.     ,    1   ,    0    
+   sn_ccov     =    'flx'           ,      -12.         , 'socliocl' ,    .false.     ,    1   ,    0      
+   sn_prec     =    'flx'           ,      -12.         , 'socliopl' ,    .false.     ,    1   ,    0       
 !
-!  THE ORDER OF THE FILES MATTER:
-!               !   file name        ! frequency (hours) ! variable   ! time intepolation !  clim  ! starting !
-!               !                    !   (if <0  months) !   name     !    (logical)      !  (0/1) !  record  !
-&namsbc_clio
-   cn_dir       = './'
-   sn_utau      =    'taux_1m'    ,      -12.         ,  'sozotaux',    .false.        ,    1   ,    0    
-   sn_vtau      =    'tauy_1m'    ,      -12.         ,  'sometauy',    .false.        ,    1   ,    0    
-   sn_wndm      =    'flx'        ,      -12.         ,  'socliowi',    .false.        ,    1   ,    0      
-   sn_tair      =    'flx'        ,      -12.         ,  'socliot2',    .false.        ,    1   ,    0     
-   sn_humi      =    'flx'        ,      -12.         ,  'socliohu',    .false.        ,    1   ,    0    
-   sn_ccov      =    'flx'        ,      -12.         ,  'socliocl',    .false.        ,    1   ,    0      
-   sn_prec      =    'flx'        ,      -12.         ,  'socliopl',    .false.        ,    1   ,    0       
-/
-!-----------------------------------------------------------------------
-!       namsbc_core  CORE bulk formulea
-!-----------------------------------------------------------------------
-!  cn_dir         directory in which the model is executed
-!  ln_2m          logical flag to use air temp. and hum referenced at 2m instead 10m
-!  alpha_precip   multiplication factor for precipitation (total & snow)
+   cn_dir      = './'      !  root directory for the location of the bulk files are
+/
+!-----------------------------------------------------------------------
+&namsbc_core   !   namsbc_core  CORE bulk formulea
+!-----------------------------------------------------------------------
+!              !   file name        ! frequency (hours) ! variable   ! time interpol. !  clim  ! starting !
+!              !                    !  (if <0  months)  !   name     !    (logical)   !  (0/1) !  record  !
+   sn_wndi     =    'u10'           ,       24.         , 'U_10_MOD' ,    .false.     ,    1   ,    0    
+   sn_wndj     =    'v10'           ,       24.         , 'V_10_MOD' ,    .false.     ,    1   ,    0    
+   sn_qsr      =    'rad'           ,       24.         , 'SWDN_MOD' ,    .false.     ,    1   ,    0      
+   sn_qlw      =    'rad'           ,       24.         , 'LWDN_MOD' ,    .false.     ,    1   ,    0      
+   sn_tair     =    't10'           ,       24.         , 'T_10_MOD' ,    .false.     ,    1   ,    0     
+   sn_humi     =    'q10'           ,       24.         , 'Q_10_MOD' ,    .false.     ,    1   ,    0    
+   sn_prec     =    'precip'        ,      -12.         , 'RAIN'     ,    .false.     ,    1   ,    0      
+   sn_snow     =    'precip'        ,      -12.         , 'SNOW'     ,    .false.     ,    1   ,    0       
 !
-!  THE ORDER OF THE FILES MATTER:
-!               !   file name        ! frequency (hours) ! variable   ! time intepolation !  clim  ! starting !
-!               !                    !   (if <0  months) !   name     !    (logical)      !  (0/1) !  record  !
-&namsbc_core
-   cn_dir       = './'
-   ln_2m        = .false.
-   alpha_precip = 1.
-   sn_wndi      =    'u10'        ,       24.         ,  'U_10_MOD',    .false.        ,    1   ,    0    
-   sn_wndj      =    'v10'        ,       24.         ,  'V_10_MOD',    .false.        ,    1   ,    0    
-   sn_qsr       =    'rad'        ,       24.         ,  'SWDN_MOD',    .false.        ,    1   ,    0      
-   sn_qlw       =    'rad'        ,       24.         ,  'LWDN_MOD',    .false.        ,    1   ,    0      
-   sn_tair      =    't10'        ,       24.         ,  'T_10_MOD',    .false.        ,    1   ,    0     
-   sn_humi      =    'q10'        ,       24.         ,  'Q_10_MOD',    .false.        ,    1   ,    0    
-   sn_prec      =    'precip'     ,      -12.         ,  'RAIN'    ,    .false.        ,    1   ,    0      
-   sn_snow      =    'precip'     ,      -12.         ,  'SNOW'    ,    .false.        ,    1   ,    0       
-/
-!-----------------------------------------------------------------------
-!       namsbc_cpl    coupled ocean/atmosphere model                    ("key_coupled")
-!-----------------------------------------------------------------------
-&namsbc_cpl
-/
-!-----------------------------------------------------------------------
-!       namqsr   penetrative solar radiation
-!-----------------------------------------------------------------------
-!  ln_traqsr : penetrative solar radiation (T) or not (F)     (Default=T)
-!  rabs       fraction of qsr associated with xsi1
-!  xsi1       first depth of extinction
-!  xsi2       second depth of extinction
-&namqsr
-   ln_traqsr = .true.
-   rabs     =   0.58
-   xsi1     =   0.35
-   xsi2     =   23.0
-/
-!-----------------------------------------------------------------------
-!       namsbc_rnf   runoffs namelist surface boundary condition
-!-----------------------------------------------------------------------
-!cn_dir      Root directory for location of ssr files
-!nn_runoff   =0 no, 1 runoff, 2 runoff+river mouth ups adv
-!rn_hrnf     runoffs, depth over which enhanced vertical mixing is used
-!rn_avt_rnf  runoffs, value of the additional vertical mixing coef. [m2/s]
-!sn_rnf      informations about the runoff file to be read
-!sn_cnf      informations about the runoff mouth file to be read
-!  THE ORDER OF THE FILES MATTER:
-!               !   file name        ! frequency (hours) ! variable   ! time interpolation !
-!               !                    !   (if <0  months) !   name     !     (logical)      !
-&namsbc_rnf
-   cn_dir     = './'
-   nn_runoff  = 2
-   rn_hrnf    = 0.e0
-   rn_avt_rnf = 1.e-3
-   sn_rnf     = 'runoff_1m_nomask.nc' ,      -12.        ,  'sorunoff',    .true.   ,  1  ,  0     
-   sn_cnf     = 'runoff_1m_nomask.nc' ,        0.        ,  'socoefr' ,    .false.  ,  1  ,  0              
-/
-!-----------------------------------------------------------------------
-!       namsbc_ssr   surface boundary condition : sea surface restoring
-!-----------------------------------------------------------------------
-!  cn_dir    directory in which the model is executed
+   cn_dir      = './'      !  root directory for the location of the bulk files
+   ln_2m       = .false.   !  air temperature and humidity referenced at 2m (T) instead 10m (F)
+   alpha_precip= 1.        !  multiplicative factor for precipitation (total & snow)
+/
+!-----------------------------------------------------------------------
+&namsbc_cpl    !   coupled ocean/atmosphere model                        ("key_coupled")
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namqsr        !   penetrative solar radiation
+!-----------------------------------------------------------------------
+   ln_traqsr   = .true.    !  penetrative solar radiation (T) or not (F)
+   rabs        =   0.58    !  fraction of qsr associated with xsi1
+   xsi1        =   0.35    !  first depth of extinction
+   xsi2        =   23.0    !  second depth of extinction
+/
+!-----------------------------------------------------------------------
+&namsbc_rnf    !   runoffs namelist surface boundary condition
+!-----------------------------------------------------------------------
+!              !   file name        ! frequency (hours) ! variable   ! time interpol. !  clim  ! starting !
+!              !                    !  (if <0  months)  !   name     !    (logical)   !  (0/1) !  record  !
+   sn_rnf    = 'runoff_1m_nomask.nc',       -12.        , 'sorunoff' ,    .true.      ,    1   ,    0     
+   sn_cnf    = 'runoff_1m_nomask.nc',         0.        , 'socoefr'  ,    .false.     ,    1   ,    0              
+!
+   cn_dir      = './'      !  root directory for the location of the runoff files
+   nn_runoff   =   2       !  no runoff (0), runoff (1), runoff+river mouth ups adv with cen2 (2)
+   rn_hrnf     =   0.e0    !  depth over which enhanced vertical mixing is used
+   rn_avt_rnf  =   1.e-3   !  value of the additional vertical mixing coef. [m2/s]
+/
+!-----------------------------------------------------------------------
+&namsbc_ssr    !   surface boundary condition : sea surface restoring
+!-----------------------------------------------------------------------
+!              !   file name        ! frequency (hours) ! variable   ! time interpol. !  clim  ! starting !
+!              !                    !  (if <0  months)  !   name     !    (logical)   !  (0/1) !  record  !
+   sn_sst      =  'sst_data.nc'     ,        24.        ,  'sst'     ,     .false.    ,    0   ,    0
+   sn_sss      =  'sss_data.nc'     ,       -12.        ,  'sss'     ,     .true.     ,    0   ,    0
+   
 !  nn_sstr   =0/1   add a retroaction term in the surface heat flux
 !  nn_sssr   =O/1/2 add a damping term in the surface freshwater flux
